Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredPointsToPolyDataFilter Class Reference

`#include <vtkStructuredPointsToPolyDataFilter.h>`

Inheritance diagram for vtkStructuredPointsToPolyDataFilter:

[legend]
Collaboration diagram for vtkStructuredPointsToPolyDataFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.44

vtkStructuredPointsToPolyDataFilter is an abstract filter class whose subclasses take on input structured points and generate polygonal data on output.

See also:
  vtkDividingCubes vtkMarchingCubes vtkMarchingSquares vtkRecursiveDividingCubes vtkImageDataGeometryFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (46%)
  - Martin, Ken (20%)
  - Cedilnik, Andy (10%)
  - Lorensen, Bill (9%)
  - Law, Charles (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkStructuredPointsToPolyDataFilter.cxx)`
  - .`h` (`/Filtering/vtkStructuredPointsToPolyDataFilter.h)`

Definition at line 52 of file vtkStructuredPointsToPolyDataFilter.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStructuredPointsToPolyDataFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredPointsToPolyDataFilter ()
| ~vtkStructuredPointsToPolyDataFilter ()
void | ComputeInputUpdateExtents (vtkDataObject *output)

## Member Typedef Documentation

typedef vtkPolyDataSource vtkStructuredPointsToPolyDataFilter::Superclass

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkImageDataGeometryFilter, vtkLinkEdgels, vtkRecursiveDividingCubes, vtkStructuredPointsGeometryFilter, vtkImageToPolyDataFilter, vtkDividingCubes, and vtkMarchingCubes. Definition at line 55 of file vtkStructuredPointsToPolyDataFilter.h.

## Constructor & Destructor Documentation

vtkStructuredPointsToPolyDataFilter::vtkStructuredPointsToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkStructuredPointsToPolyDataFilter.h.

vtkStructuredPointsToPolyDataFilter::~vtkStructuredPointsToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 66 of file vtkStructuredPointsToPolyDataFilter.h.

## Member Function Documentation

virtual const char* vtkStructuredPointsToPolyDataFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkImageDataGeometryFilter, vtkLinkEdgels, vtkRecursiveDividingCubes, vtkStructuredPointsGeometryFilter, vtkImageToPolyDataFilter, vtkDividingCubes, and vtkMarchingCubes.

int vtkStructuredPointsToPolyDataFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkImageDataGeometryFilter, vtkLinkEdgels, vtkRecursiveDividingCubes, vtkStructuredPointsGeometryFilter, vtkImageToPolyDataFilter, vtkDividingCubes, and vtkMarchingCubes.

virtual int vtkStructuredPointsToPolyDataFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkImageDataGeometryFilter, vtkLinkEdgels, vtkRecursiveDividingCubes, vtkStructuredPointsGeometryFilter, vtkImageToPolyDataFilter, vtkDividingCubes, and vtkMarchingCubes.

vtkStructuredPointsToPolyDataFilter* vtkStructuredPointsToPolyDataFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkImageDataGeometryFilter, vtkLinkEdgels, vtkRecursiveDividingCubes, vtkStructuredPointsGeometryFilter, vtkImageToPolyDataFilter, vtkDividingCubes, and vtkMarchingCubes.

void vtkStructuredPointsToPolyDataFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource. Reimplemented in vtkImageDataGeometryFilter, vtkLinkEdgels, vtkRecursiveDividingCubes, vtkImageToPolyDataFilter, vtkDividingCubes, and vtkMarchingCubes.

virtual void vtkStructuredPointsToPolyDataFilter::SetInput | ( | vtkImageData * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkImageData* vtkStructuredPointsToPolyDataFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

void vtkStructuredPointsToPolyDataFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

The documentation for this class was generated from the following file:

- Filtering/vtkStructuredPointsToPolyDataFilter.h